Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
anhphongvjc

Hỏi cách tính chièu dài dây dẫn trong autocad

Các bài được khuyến nghị

Chào tất cả mọi người hôm nay mình vấn đề hóc búa nhờ mọi người giúp. Mình đang vẽ điện cho một ngôi nhà, giờ mình vẽ xong rồi nhưng không biết tính chiều dài dây dẫn trong autocad như thế nào, các bạn ai biết cách chỉ dùm mình với mình đang dùng cad-e 2008. Rất mong mọi người giúp đỡ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Chào tất cả mọi người hôm nay mình vấn đề hóc búa nhờ mọi người giúp. Mình đang vẽ điện cho một ngôi nhà, giờ mình vẽ xong rồi nhưng không biết tính chiều dài dây dẫn trong autocad như thế nào, các bạn ai biết cách chỉ dùm mình với mình đang dùng cad-e 2008. Rất mong mọi người giúp đỡ

bạn dọc cái này http://www.cadviet.com/upfiles/3/calline_1.zip

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tính chiều dài dây dẫn có như tính chiều dài đường thẳng(line,spline,pline) ko vậy bạn?.Nếu là tính chiều dài đường thẳng thi dùng lệnh Li hay autolisp tính chiều dài đường thẳng là được mà.

;-----------------------tinh chieu dai duong thang theo ti le hien hanh ( tt )----------------------------
(defun Length1(e) (vlax-curve-getDistAtParam e (vlax-curve-getEndParam e)))
;;;--------------------------------------------------------------------
(defun C:TT( / ss L e)
(setq
ss (ssget (list (cons 0 "LINE,ARC,CIRCLE,POLYLINE,LWPOLYLINE,ELLIPSE,SPLINE")))
L 0.0
k (getvar "dimlfac")
)
(vl-load-com)
(while (setq e (ssname ss 0))
(setq L (+ L (length1 e)))
(ssdel e ss)
)
(setq L1 (* k L))
(progn
(setq p (getpoint "\n Chon diem nhap ket qua" ))
(command "text" p 2.5 "0" (rtos L1 2 2))
)
)
(ssdel e ss)
)
(princ)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn cứ vẽ theo đường dây cáp cấp nguồn, vẽ hết trên mặt bằng nhé, sau đó dùng lisp tính tổng chiều dài ( tl hay tt gì đó) thì ra được tổng rồi tính cáp lên xuống tủ điện, lên xuống công tắc, đèn qua đèn. Đơn giản mà bạn.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn cứ vẽ theo đường dây cáp cấp nguồn, vẽ hết trên mặt bằng nhé, sau đó dùng lisp tính tổng chiều dài ( tl hay tt gì đó) thì ra được tổng rồi tính cáp lên xuống tủ điện, lên xuống công tắc, đèn qua đèn. Đơn giản mà bạn.

Bác có thể nói rõ hơn dc ko, cách tính từ a>z, nếu có ví dụ minh họa nữa thì hay nhất ah. thank.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×